cargo-features = ["codegen-backend"]

[workspace]
members = [
    "core/dsa_common", "core/assembler", "core/compiler",
    "emulator", "emulator/dsa_editor",
    "dsx/dsx_server", "dsx/dsx_common", "dsx/dsx"
]
resolver = "3"

[workspace.package]
version = "0.2.0"
edition = "2024"
authors = ["zxq5", "nullndvoid"]

[profile.dev]
codegen-backend = "cranelift"
panic = "abort"               # Cranelift does not support stack unwinds.
lto = false
debug = true
incremental = false           # sccache does not support caching incremental crates.

[profile.release]
debug = true
lto = "fat"
